<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/membercenter/membercenter.Master" CodeBehind="receaddress_list.aspx.cs" Inherits="YXShop.Web.membercenter.accountrun.receaddress_list" %>

<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="head">
   <link rel="stylesheet" href="../../admin/style/toolbar.css" type="text/css" />
    <link rel="stylesheet" href="../../admin/style/validator.css" type="text/css" />
    <script type="text/javascript" src="../../scripts/validate.js"></script>
    <script type="text/javascript" src="../../admin/scripts/public.js"></script>
    <script type="text/javascript" src="../../scripts/prototype.js"></script>
    <script type="text/javascript" language="javascript">
    function Del(id)
    { 
       if(confirm('确定要永久删除该信息吗?删除后将不能被恢复!'))
       {
            var param = "Option=del&id=" + id;
            var options = 
            { method: 'post',parameters: param,onComplete:
                 function(transport)
                 {
                     var retv = transport.responseText;
                     if(retv!="")
                     {
                          window.location.href=window.location.href;
                     }
                     else
                     {
                        window.location.href=window.location.href;
                     }
                 }
            }
        }
        else
        {
            return false;
        }
        new Ajax.Request('receaddress_list.aspx', options);
    }
    
        function GetCity(controlid,code,value)
        {
            if (code.length>0){
             var control=$(controlid);
             var url="/admin/plugin/getcity.aspx?parentid="+code; 
             new Ajax.Request(
                url,
                {
                    method: 'get',
                    encoding: 'GBK',
                    onSuccess: function(transport) 
                    {
                        var contentjson=eval("("+transport.responseText+")"); 
                        control.options.length=0;
                        control.options.add(new Option("请选择","")); 
                        for(var i=0;i<contentjson.city.length;i++)
                        {
                            
                            control.options.add(new Option(contentjson.city[i].content,contentjson.city[i].code)); 
                            if(value==contentjson.city[i].code)
                            {
                                control.options[i+1].selected=true;
                            }
                        }
                    }
                }
            );
           }
        }
        
        window.onload=function(){
            InitForm();
            <asp:Literal id="lblScript" runat="server"></asp:Literal>
        }
        
    </script>
</asp:Content>
<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="pagetitle">
收货地址列表
</asp:Content>
<asp:Content ID="Content3" runat="server" ContentPlaceHolderID="pageinfo"> 
<asp:LinkButton ID="lbtSave" runat="server" onclick="lbtSave_Click">添加收货地址</asp:LinkButton> 
</asp:Content>
<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="workspace">
<asp:Panel ID="Panel1" runat="server" Visible="false" CssClass="pnlReturnMessageErr">
    <asp:Literal ID="Literal1" runat="server"></asp:Literal>
</asp:Panel>

<asp:Literal ID="lblList" runat="server"></asp:Literal>
</asp:Content>
